stream_iterator.h File Reference

Go to the source code of this file.

## Classes

class | std::istream_iterator< _Tp, _CharT, _Traits, _Dist >
class | std::ostream_iterator< _Tp, _CharT, _Traits >

## Namespaces

namespace | std

## Functions

template<class _Tp , class _CharT , class _Traits , class _Dist >
bool | std::operator!= (const istream_iterator< _Tp, _CharT, _Traits, _Dist > &__x, const istream_iterator< _Tp, _CharT, _Traits, _Dist > &__y)
template<typename _Tp , typename _CharT , typename _Traits , typename _Dist >
bool | std::operator== (const istream_iterator< _Tp, _CharT, _Traits, _Dist > &__x, const istream_iterator< _Tp, _CharT, _Traits, _Dist > &__y)

## Detailed Description

This is an internal header file, included by other library headers. Do not attempt to use it directly. Instead, include <iterator>.

Definition in file stream_iterator.h.